import { IFilterParams } from "ag-grid-community";
import BaseFilter from "../base-filter";
import { BooleanFilterHelper } from "./boolean-filter-helper";
export declare class BooleanFilter extends BaseFilter {
    selectedIndex: number;
    selected: string;
    private groupName;
    filterHelper: BooleanFilterHelper;
    init(params: IFilterParams): void;
    resetFilter(): void;
    removeFilterValue(): void;
    setupContentGui(): string;
    setupContentGuiSideFilter(): string;
    getValue(): boolean;
    getModelAsString?(): string;
    selectedIndexChanged(newVal: number, oldVal: number): void;
    isFilterActive(): boolean;
    getModel(): any;
    setModel(model: any): void;
}
